Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network42.28.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
42.28.0.0
Broadcast address
42.28.255.255
First usable
42.28.0.1
Last usable
42.28.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 2A1C0000 · Integer 706478080 to 706543615
Reverse DNS zone
28.42.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101010.00011100..00000000.0000000042.28.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00101010.00011100..00000000.0000000042.28.0.0
Broadcast00101010.00011100..11111111.1111111142.28.255.255
Split into smaller subnets/24

42.28.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
142.28.0.0/2442.28.0.1 to 42.28.0.25442.28.0.255254
242.28.1.0/2442.28.1.1 to 42.28.1.25442.28.1.255254
342.28.2.0/2442.28.2.1 to 42.28.2.25442.28.2.255254
442.28.3.0/2442.28.3.1 to 42.28.3.25442.28.3.255254
542.28.4.0/2442.28.4.1 to 42.28.4.25442.28.4.255254
642.28.5.0/2442.28.5.1 to 42.28.5.25442.28.5.255254
742.28.6.0/2442.28.6.1 to 42.28.6.25442.28.6.255254
842.28.7.0/2442.28.7.1 to 42.28.7.25442.28.7.255254
942.28.8.0/2442.28.8.1 to 42.28.8.25442.28.8.255254
1042.28.9.0/2442.28.9.1 to 42.28.9.25442.28.9.255254
1142.28.10.0/2442.28.10.1 to 42.28.10.25442.28.10.255254
1242.28.11.0/2442.28.11.1 to 42.28.11.25442.28.11.255254
1342.28.12.0/2442.28.12.1 to 42.28.12.25442.28.12.255254
1442.28.13.0/2442.28.13.1 to 42.28.13.25442.28.13.255254
1542.28.14.0/2442.28.14.1 to 42.28.14.25442.28.14.255254
1642.28.15.0/2442.28.15.1 to 42.28.15.25442.28.15.255254
1742.28.16.0/2442.28.16.1 to 42.28.16.25442.28.16.255254
1842.28.17.0/2442.28.17.1 to 42.28.17.25442.28.17.255254
1942.28.18.0/2442.28.18.1 to 42.28.18.25442.28.18.255254
2042.28.19.0/2442.28.19.1 to 42.28.19.25442.28.19.255254
2142.28.20.0/2442.28.20.1 to 42.28.20.25442.28.20.255254
2242.28.21.0/2442.28.21.1 to 42.28.21.25442.28.21.255254
2342.28.22.0/2442.28.22.1 to 42.28.22.25442.28.22.255254
2442.28.23.0/2442.28.23.1 to 42.28.23.25442.28.23.255254
2542.28.24.0/2442.28.24.1 to 42.28.24.25442.28.24.255254
2642.28.25.0/2442.28.25.1 to 42.28.25.25442.28.25.255254
2742.28.26.0/2442.28.26.1 to 42.28.26.25442.28.26.255254
2842.28.27.0/2442.28.27.1 to 42.28.27.25442.28.27.255254
2942.28.28.0/2442.28.28.1 to 42.28.28.25442.28.28.255254
3042.28.29.0/2442.28.29.1 to 42.28.29.25442.28.29.255254
3142.28.30.0/2442.28.30.1 to 42.28.30.25442.28.30.255254
3242.28.31.0/2442.28.31.1 to 42.28.31.25442.28.31.255254
3342.28.32.0/2442.28.32.1 to 42.28.32.25442.28.32.255254
3442.28.33.0/2442.28.33.1 to 42.28.33.25442.28.33.255254
3542.28.34.0/2442.28.34.1 to 42.28.34.25442.28.34.255254
3642.28.35.0/2442.28.35.1 to 42.28.35.25442.28.35.255254
3742.28.36.0/2442.28.36.1 to 42.28.36.25442.28.36.255254
3842.28.37.0/2442.28.37.1 to 42.28.37.25442.28.37.255254
3942.28.38.0/2442.28.38.1 to 42.28.38.25442.28.38.255254
4042.28.39.0/2442.28.39.1 to 42.28.39.25442.28.39.255254
4142.28.40.0/2442.28.40.1 to 42.28.40.25442.28.40.255254
4242.28.41.0/2442.28.41.1 to 42.28.41.25442.28.41.255254
4342.28.42.0/2442.28.42.1 to 42.28.42.25442.28.42.255254
4442.28.43.0/2442.28.43.1 to 42.28.43.25442.28.43.255254
4542.28.44.0/2442.28.44.1 to 42.28.44.25442.28.44.255254
4642.28.45.0/2442.28.45.1 to 42.28.45.25442.28.45.255254
4742.28.46.0/2442.28.46.1 to 42.28.46.25442.28.46.255254
4842.28.47.0/2442.28.47.1 to 42.28.47.25442.28.47.255254
4942.28.48.0/2442.28.48.1 to 42.28.48.25442.28.48.255254
5042.28.49.0/2442.28.49.1 to 42.28.49.25442.28.49.255254
5142.28.50.0/2442.28.50.1 to 42.28.50.25442.28.50.255254
5242.28.51.0/2442.28.51.1 to 42.28.51.25442.28.51.255254
5342.28.52.0/2442.28.52.1 to 42.28.52.25442.28.52.255254
5442.28.53.0/2442.28.53.1 to 42.28.53.25442.28.53.255254
5542.28.54.0/2442.28.54.1 to 42.28.54.25442.28.54.255254
5642.28.55.0/2442.28.55.1 to 42.28.55.25442.28.55.255254
5742.28.56.0/2442.28.56.1 to 42.28.56.25442.28.56.255254
5842.28.57.0/2442.28.57.1 to 42.28.57.25442.28.57.255254
5942.28.58.0/2442.28.58.1 to 42.28.58.25442.28.58.255254
6042.28.59.0/2442.28.59.1 to 42.28.59.25442.28.59.255254
6142.28.60.0/2442.28.60.1 to 42.28.60.25442.28.60.255254
6242.28.61.0/2442.28.61.1 to 42.28.61.25442.28.61.255254
6342.28.62.0/2442.28.62.1 to 42.28.62.25442.28.62.255254
6442.28.63.0/2442.28.63.1 to 42.28.63.25442.28.63.255254
6542.28.64.0/2442.28.64.1 to 42.28.64.25442.28.64.255254
6642.28.65.0/2442.28.65.1 to 42.28.65.25442.28.65.255254
6742.28.66.0/2442.28.66.1 to 42.28.66.25442.28.66.255254
6842.28.67.0/2442.28.67.1 to 42.28.67.25442.28.67.255254
6942.28.68.0/2442.28.68.1 to 42.28.68.25442.28.68.255254
7042.28.69.0/2442.28.69.1 to 42.28.69.25442.28.69.255254
7142.28.70.0/2442.28.70.1 to 42.28.70.25442.28.70.255254
7242.28.71.0/2442.28.71.1 to 42.28.71.25442.28.71.255254
7342.28.72.0/2442.28.72.1 to 42.28.72.25442.28.72.255254
7442.28.73.0/2442.28.73.1 to 42.28.73.25442.28.73.255254
7542.28.74.0/2442.28.74.1 to 42.28.74.25442.28.74.255254
7642.28.75.0/2442.28.75.1 to 42.28.75.25442.28.75.255254
7742.28.76.0/2442.28.76.1 to 42.28.76.25442.28.76.255254
7842.28.77.0/2442.28.77.1 to 42.28.77.25442.28.77.255254
7942.28.78.0/2442.28.78.1 to 42.28.78.25442.28.78.255254
8042.28.79.0/2442.28.79.1 to 42.28.79.25442.28.79.255254
8142.28.80.0/2442.28.80.1 to 42.28.80.25442.28.80.255254
8242.28.81.0/2442.28.81.1 to 42.28.81.25442.28.81.255254
8342.28.82.0/2442.28.82.1 to 42.28.82.25442.28.82.255254
8442.28.83.0/2442.28.83.1 to 42.28.83.25442.28.83.255254
8542.28.84.0/2442.28.84.1 to 42.28.84.25442.28.84.255254
8642.28.85.0/2442.28.85.1 to 42.28.85.25442.28.85.255254
8742.28.86.0/2442.28.86.1 to 42.28.86.25442.28.86.255254
8842.28.87.0/2442.28.87.1 to 42.28.87.25442.28.87.255254
8942.28.88.0/2442.28.88.1 to 42.28.88.25442.28.88.255254
9042.28.89.0/2442.28.89.1 to 42.28.89.25442.28.89.255254
9142.28.90.0/2442.28.90.1 to 42.28.90.25442.28.90.255254
9242.28.91.0/2442.28.91.1 to 42.28.91.25442.28.91.255254
9342.28.92.0/2442.28.92.1 to 42.28.92.25442.28.92.255254
9442.28.93.0/2442.28.93.1 to 42.28.93.25442.28.93.255254
9542.28.94.0/2442.28.94.1 to 42.28.94.25442.28.94.255254
9642.28.95.0/2442.28.95.1 to 42.28.95.25442.28.95.255254
9742.28.96.0/2442.28.96.1 to 42.28.96.25442.28.96.255254
9842.28.97.0/2442.28.97.1 to 42.28.97.25442.28.97.255254
9942.28.98.0/2442.28.98.1 to 42.28.98.25442.28.98.255254
10042.28.99.0/2442.28.99.1 to 42.28.99.25442.28.99.255254
10142.28.100.0/2442.28.100.1 to 42.28.100.25442.28.100.255254
10242.28.101.0/2442.28.101.1 to 42.28.101.25442.28.101.255254
10342.28.102.0/2442.28.102.1 to 42.28.102.25442.28.102.255254
10442.28.103.0/2442.28.103.1 to 42.28.103.25442.28.103.255254
10542.28.104.0/2442.28.104.1 to 42.28.104.25442.28.104.255254
10642.28.105.0/2442.28.105.1 to 42.28.105.25442.28.105.255254
10742.28.106.0/2442.28.106.1 to 42.28.106.25442.28.106.255254
10842.28.107.0/2442.28.107.1 to 42.28.107.25442.28.107.255254
10942.28.108.0/2442.28.108.1 to 42.28.108.25442.28.108.255254
11042.28.109.0/2442.28.109.1 to 42.28.109.25442.28.109.255254
11142.28.110.0/2442.28.110.1 to 42.28.110.25442.28.110.255254
11242.28.111.0/2442.28.111.1 to 42.28.111.25442.28.111.255254
11342.28.112.0/2442.28.112.1 to 42.28.112.25442.28.112.255254
11442.28.113.0/2442.28.113.1 to 42.28.113.25442.28.113.255254
11542.28.114.0/2442.28.114.1 to 42.28.114.25442.28.114.255254
11642.28.115.0/2442.28.115.1 to 42.28.115.25442.28.115.255254
11742.28.116.0/2442.28.116.1 to 42.28.116.25442.28.116.255254
11842.28.117.0/2442.28.117.1 to 42.28.117.25442.28.117.255254
11942.28.118.0/2442.28.118.1 to 42.28.118.25442.28.118.255254
12042.28.119.0/2442.28.119.1 to 42.28.119.25442.28.119.255254
12142.28.120.0/2442.28.120.1 to 42.28.120.25442.28.120.255254
12242.28.121.0/2442.28.121.1 to 42.28.121.25442.28.121.255254
12342.28.122.0/2442.28.122.1 to 42.28.122.25442.28.122.255254
12442.28.123.0/2442.28.123.1 to 42.28.123.25442.28.123.255254
12542.28.124.0/2442.28.124.1 to 42.28.124.25442.28.124.255254
12642.28.125.0/2442.28.125.1 to 42.28.125.25442.28.125.255254
12742.28.126.0/2442.28.126.1 to 42.28.126.25442.28.126.255254
12842.28.127.0/2442.28.127.1 to 42.28.127.25442.28.127.255254
12942.28.128.0/2442.28.128.1 to 42.28.128.25442.28.128.255254
13042.28.129.0/2442.28.129.1 to 42.28.129.25442.28.129.255254
13142.28.130.0/2442.28.130.1 to 42.28.130.25442.28.130.255254
13242.28.131.0/2442.28.131.1 to 42.28.131.25442.28.131.255254
13342.28.132.0/2442.28.132.1 to 42.28.132.25442.28.132.255254
13442.28.133.0/2442.28.133.1 to 42.28.133.25442.28.133.255254
13542.28.134.0/2442.28.134.1 to 42.28.134.25442.28.134.255254
13642.28.135.0/2442.28.135.1 to 42.28.135.25442.28.135.255254
13742.28.136.0/2442.28.136.1 to 42.28.136.25442.28.136.255254
13842.28.137.0/2442.28.137.1 to 42.28.137.25442.28.137.255254
13942.28.138.0/2442.28.138.1 to 42.28.138.25442.28.138.255254
14042.28.139.0/2442.28.139.1 to 42.28.139.25442.28.139.255254
14142.28.140.0/2442.28.140.1 to 42.28.140.25442.28.140.255254
14242.28.141.0/2442.28.141.1 to 42.28.141.25442.28.141.255254
14342.28.142.0/2442.28.142.1 to 42.28.142.25442.28.142.255254
14442.28.143.0/2442.28.143.1 to 42.28.143.25442.28.143.255254
14542.28.144.0/2442.28.144.1 to 42.28.144.25442.28.144.255254
14642.28.145.0/2442.28.145.1 to 42.28.145.25442.28.145.255254
14742.28.146.0/2442.28.146.1 to 42.28.146.25442.28.146.255254
14842.28.147.0/2442.28.147.1 to 42.28.147.25442.28.147.255254
14942.28.148.0/2442.28.148.1 to 42.28.148.25442.28.148.255254
15042.28.149.0/2442.28.149.1 to 42.28.149.25442.28.149.255254
15142.28.150.0/2442.28.150.1 to 42.28.150.25442.28.150.255254
15242.28.151.0/2442.28.151.1 to 42.28.151.25442.28.151.255254
15342.28.152.0/2442.28.152.1 to 42.28.152.25442.28.152.255254
15442.28.153.0/2442.28.153.1 to 42.28.153.25442.28.153.255254
15542.28.154.0/2442.28.154.1 to 42.28.154.25442.28.154.255254
15642.28.155.0/2442.28.155.1 to 42.28.155.25442.28.155.255254
15742.28.156.0/2442.28.156.1 to 42.28.156.25442.28.156.255254
15842.28.157.0/2442.28.157.1 to 42.28.157.25442.28.157.255254
15942.28.158.0/2442.28.158.1 to 42.28.158.25442.28.158.255254
16042.28.159.0/2442.28.159.1 to 42.28.159.25442.28.159.255254
16142.28.160.0/2442.28.160.1 to 42.28.160.25442.28.160.255254
16242.28.161.0/2442.28.161.1 to 42.28.161.25442.28.161.255254
16342.28.162.0/2442.28.162.1 to 42.28.162.25442.28.162.255254
16442.28.163.0/2442.28.163.1 to 42.28.163.25442.28.163.255254
16542.28.164.0/2442.28.164.1 to 42.28.164.25442.28.164.255254
16642.28.165.0/2442.28.165.1 to 42.28.165.25442.28.165.255254
16742.28.166.0/2442.28.166.1 to 42.28.166.25442.28.166.255254
16842.28.167.0/2442.28.167.1 to 42.28.167.25442.28.167.255254
16942.28.168.0/2442.28.168.1 to 42.28.168.25442.28.168.255254
17042.28.169.0/2442.28.169.1 to 42.28.169.25442.28.169.255254
17142.28.170.0/2442.28.170.1 to 42.28.170.25442.28.170.255254
17242.28.171.0/2442.28.171.1 to 42.28.171.25442.28.171.255254
17342.28.172.0/2442.28.172.1 to 42.28.172.25442.28.172.255254
17442.28.173.0/2442.28.173.1 to 42.28.173.25442.28.173.255254
17542.28.174.0/2442.28.174.1 to 42.28.174.25442.28.174.255254
17642.28.175.0/2442.28.175.1 to 42.28.175.25442.28.175.255254
17742.28.176.0/2442.28.176.1 to 42.28.176.25442.28.176.255254
17842.28.177.0/2442.28.177.1 to 42.28.177.25442.28.177.255254
17942.28.178.0/2442.28.178.1 to 42.28.178.25442.28.178.255254
18042.28.179.0/2442.28.179.1 to 42.28.179.25442.28.179.255254
18142.28.180.0/2442.28.180.1 to 42.28.180.25442.28.180.255254
18242.28.181.0/2442.28.181.1 to 42.28.181.25442.28.181.255254
18342.28.182.0/2442.28.182.1 to 42.28.182.25442.28.182.255254
18442.28.183.0/2442.28.183.1 to 42.28.183.25442.28.183.255254
18542.28.184.0/2442.28.184.1 to 42.28.184.25442.28.184.255254
18642.28.185.0/2442.28.185.1 to 42.28.185.25442.28.185.255254
18742.28.186.0/2442.28.186.1 to 42.28.186.25442.28.186.255254
18842.28.187.0/2442.28.187.1 to 42.28.187.25442.28.187.255254
18942.28.188.0/2442.28.188.1 to 42.28.188.25442.28.188.255254
19042.28.189.0/2442.28.189.1 to 42.28.189.25442.28.189.255254
19142.28.190.0/2442.28.190.1 to 42.28.190.25442.28.190.255254
19242.28.191.0/2442.28.191.1 to 42.28.191.25442.28.191.255254
19342.28.192.0/2442.28.192.1 to 42.28.192.25442.28.192.255254
19442.28.193.0/2442.28.193.1 to 42.28.193.25442.28.193.255254
19542.28.194.0/2442.28.194.1 to 42.28.194.25442.28.194.255254
19642.28.195.0/2442.28.195.1 to 42.28.195.25442.28.195.255254
19742.28.196.0/2442.28.196.1 to 42.28.196.25442.28.196.255254
19842.28.197.0/2442.28.197.1 to 42.28.197.25442.28.197.255254
19942.28.198.0/2442.28.198.1 to 42.28.198.25442.28.198.255254
20042.28.199.0/2442.28.199.1 to 42.28.199.25442.28.199.255254
20142.28.200.0/2442.28.200.1 to 42.28.200.25442.28.200.255254
20242.28.201.0/2442.28.201.1 to 42.28.201.25442.28.201.255254
20342.28.202.0/2442.28.202.1 to 42.28.202.25442.28.202.255254
20442.28.203.0/2442.28.203.1 to 42.28.203.25442.28.203.255254
20542.28.204.0/2442.28.204.1 to 42.28.204.25442.28.204.255254
20642.28.205.0/2442.28.205.1 to 42.28.205.25442.28.205.255254
20742.28.206.0/2442.28.206.1 to 42.28.206.25442.28.206.255254
20842.28.207.0/2442.28.207.1 to 42.28.207.25442.28.207.255254
20942.28.208.0/2442.28.208.1 to 42.28.208.25442.28.208.255254
21042.28.209.0/2442.28.209.1 to 42.28.209.25442.28.209.255254
21142.28.210.0/2442.28.210.1 to 42.28.210.25442.28.210.255254
21242.28.211.0/2442.28.211.1 to 42.28.211.25442.28.211.255254
21342.28.212.0/2442.28.212.1 to 42.28.212.25442.28.212.255254
21442.28.213.0/2442.28.213.1 to 42.28.213.25442.28.213.255254
21542.28.214.0/2442.28.214.1 to 42.28.214.25442.28.214.255254
21642.28.215.0/2442.28.215.1 to 42.28.215.25442.28.215.255254
21742.28.216.0/2442.28.216.1 to 42.28.216.25442.28.216.255254
21842.28.217.0/2442.28.217.1 to 42.28.217.25442.28.217.255254
21942.28.218.0/2442.28.218.1 to 42.28.218.25442.28.218.255254
22042.28.219.0/2442.28.219.1 to 42.28.219.25442.28.219.255254
22142.28.220.0/2442.28.220.1 to 42.28.220.25442.28.220.255254
22242.28.221.0/2442.28.221.1 to 42.28.221.25442.28.221.255254
22342.28.222.0/2442.28.222.1 to 42.28.222.25442.28.222.255254
22442.28.223.0/2442.28.223.1 to 42.28.223.25442.28.223.255254
22542.28.224.0/2442.28.224.1 to 42.28.224.25442.28.224.255254
22642.28.225.0/2442.28.225.1 to 42.28.225.25442.28.225.255254
22742.28.226.0/2442.28.226.1 to 42.28.226.25442.28.226.255254
22842.28.227.0/2442.28.227.1 to 42.28.227.25442.28.227.255254
22942.28.228.0/2442.28.228.1 to 42.28.228.25442.28.228.255254
23042.28.229.0/2442.28.229.1 to 42.28.229.25442.28.229.255254
23142.28.230.0/2442.28.230.1 to 42.28.230.25442.28.230.255254
23242.28.231.0/2442.28.231.1 to 42.28.231.25442.28.231.255254
23342.28.232.0/2442.28.232.1 to 42.28.232.25442.28.232.255254
23442.28.233.0/2442.28.233.1 to 42.28.233.25442.28.233.255254
23542.28.234.0/2442.28.234.1 to 42.28.234.25442.28.234.255254
23642.28.235.0/2442.28.235.1 to 42.28.235.25442.28.235.255254
23742.28.236.0/2442.28.236.1 to 42.28.236.25442.28.236.255254
23842.28.237.0/2442.28.237.1 to 42.28.237.25442.28.237.255254
23942.28.238.0/2442.28.238.1 to 42.28.238.25442.28.238.255254
24042.28.239.0/2442.28.239.1 to 42.28.239.25442.28.239.255254
24142.28.240.0/2442.28.240.1 to 42.28.240.25442.28.240.255254
24242.28.241.0/2442.28.241.1 to 42.28.241.25442.28.241.255254
24342.28.242.0/2442.28.242.1 to 42.28.242.25442.28.242.255254
24442.28.243.0/2442.28.243.1 to 42.28.243.25442.28.243.255254
24542.28.244.0/2442.28.244.1 to 42.28.244.25442.28.244.255254
24642.28.245.0/2442.28.245.1 to 42.28.245.25442.28.245.255254
24742.28.246.0/2442.28.246.1 to 42.28.246.25442.28.246.255254
24842.28.247.0/2442.28.247.1 to 42.28.247.25442.28.247.255254
24942.28.248.0/2442.28.248.1 to 42.28.248.25442.28.248.255254
25042.28.249.0/2442.28.249.1 to 42.28.249.25442.28.249.255254
25142.28.250.0/2442.28.250.1 to 42.28.250.25442.28.250.255254
25242.28.251.0/2442.28.251.1 to 42.28.251.25442.28.251.255254
25342.28.252.0/2442.28.252.1 to 42.28.252.25442.28.252.255254
25442.28.253.0/2442.28.253.1 to 42.28.253.25442.28.253.255254
25542.28.254.0/2442.28.254.1 to 42.28.254.25442.28.254.255254
25642.28.255.0/2442.28.255.1 to 42.28.255.25442.28.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses